define([
    'Magento_PageBuilder/js/form/provider',
    'FiloBlu_Refilo/js/form/provider/conditions-data-processor'
], function (Provider, conditionsDataProcessor) {
    'use strict';

    return Provider.extend({
        /** @inheritdoc **/
        save: function () {
            var data = this.get('data');

            conditionsDataProcessor(data, data['data_condition_option'] + '_source');

            return this._super();
        }
    });
});
